#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct TooManyActiveSavedViews {
    #[serde(rename = "maxSavedViews")]
    max_saved_views: i32,
}
impl TooManyActiveSavedViews {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(max_saved_views: i32) -> Self {
        Self::builder().max_saved_views(max_saved_views).build()
    }
    #[inline]
    pub fn max_saved_views(&self) -> i32 {
        self.max_saved_views
    }
}
impl conjure_error::ErrorType for TooManyActiveSavedViews {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "SavedView:TooManyActiveSavedViews"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxSavedViews"]
    }
}
